​
Select Service
ves-io-schema-cluster-API-List
Published April 5, 2023 | Last modified September 28, 2026
Examples of listing cluster
Usecase:
List all clusters in current namespace
Request using vesctl:
vesctl configuration list cluster --namespace documentation
vesctl yaml response:
errors: []items:- annotations: {} labels: {} name: details-cluster namespace: documentation statusSet: [] tenant: acmecorp uid: 33d1b039-b56d-4515-be84-43aee0cc4fd3- annotations: {} labels: {} name: productpage-cluster namespace: documentation statusSet: [] tenant: acmecorp uid: 0e107283-fed9-4e1c-8b0e-c43e49a12bf1- annotations: {} labels: {} name: ratings-cluster namespace: documentation statusSet: [] tenant: acmecorp uid: 55d05021-e068-4ab1-9999-35b8217783a3- annotations: {} labels: {} name: reviews-cluster namespace: documentation statusSet: [] tenant: acmecorp uid: eb07fe0a-5f7d-448a-81c3-1642b9735adcRequest using curl:
curl -X 'GET' -H 'X-Volterra-Useragent: v1/pgm=_var_folders_q2_3kp8z3zs0x5_m7pk1bgb0_ph0000gp_T_go-build3348201650_b001_apidocs.test/host=MTY6VVHQPH/svc=S:examplesvc/site=mytestce01' 'https://acmecorp.console.ves.volterra.io/api/config/namespaces/documentation/clusters'curl response
HTTP/1.1 200 OKContent-Type: application/jsonDate: Mon, 28 Sep 2026 04:24:57 GMTVary: Accept-Encoding
{ "items": [ { "tenant": "acmecorp", "namespace": "documentation", "name": "details-cluster", "uid": "33d1b039-b56d-4515-be84-43aee0cc4fd3", "description": "", "disabled": false, "labels": { }, "annotations": { }, "owner_view": null, "metadata": null, "system_metadata": null, "get_spec": null, "status_set": [ ] }, { "tenant": "acmecorp", "namespace": "documentation", "name": "productpage-cluster", "uid": "0e107283-fed9-4e1c-8b0e-c43e49a12bf1", "description": "", "disabled": false, "labels": { }, "annotations": { }, "owner_view": null, "metadata": null, "system_metadata": null, "get_spec": null, "status_set": [ ] }, { "tenant": "acmecorp", "namespace": "documentation", "name": "ratings-cluster", "uid": "55d05021-e068-4ab1-9999-35b8217783a3", "description": "", "disabled": false, "labels": { }, "annotations": { }, "owner_view": null, "metadata": null, "system_metadata": null, "get_spec": null, "status_set": [ ] }, { "tenant": "acmecorp", "namespace": "documentation", "name": "reviews-cluster", "uid": "eb07fe0a-5f7d-448a-81c3-1642b9735adc", "description": "", "disabled": false, "labels": { }, "annotations": { }, "owner_view": null, "metadata": null, "system_metadata": null, "get_spec": null, "status_set": [ ] } ], "errors": [ ]}